@import "src/@fuse/scss/fuse";

:host {

    .header {

        .search-input-wrapper {
            max-width: 480px;
        }
    }

    .mat-tab-group,
    .mat-tab-body-wrapper,
    .tab-content{
        flex: 1 1 auto;
        max-width: 100%;
    }

    .top-bg {
        position: absolute;
        z-index: 1;
        top: 0;
        right: 0;
        left: 0;
        height: 200px ;
        background-image: $top-bg-image;
        background-size: cover;
        
        @include media-breakpoint-down(xs) {
            height: 240px;
        }
    }

    .orders-table {
        flex: 1 1 auto;
        border-bottom: 1px solid rgba(0, 0, 0, .12);
        overflow: auto;

        .mat-header-row {
            min-height: 64px;
        }

        .order {
            position: relative;
            cursor: pointer;
            height: 84px;
        }

        .mat-cell {
            min-width: 0;
            display: flex;
            align-items: center;
        }

        .mat-column-status {
            text-align: center;
            align-items: center;
        }
      
        
        .mat-column-statusColor {
            flex: 0 1 5px;
            padding-left: 4px;
        }

        .mat-column-space {
            flex: 0 1 5px;
            padding-left: 10px;
        }

        .mat-column-buttons {
            flex: 0 1 80px;
        }

        .active-icon {
            border-radius: 50%;
        }
    }
}
